QwtScaleIf(3)

NAME
QwtScaleIf -

SYNOPSIS

Inherited by QwtKnob, QwtSlider, and QwtThermo.

Detailed Description

An interface class for widgets containing a scale. This interface class is used to provide classes a QwtScaleDraw and an interface to access that scale.

Definition at line 40 of file qwt_sclif.h.

  Public Member Functions
QwtScaleIf ()
virtual ~QwtScaleIf ()
void setScale (double vmin, double vmax, int logarithmic=0)
void setScale (double vmin, double vmax, double step, int logarithmic=0)
void setScale (const QwtScaleDiv &s)
void setScaleMaxMajor (int ticks)
void setScaleMaxMinor (int ticks)
void autoScale ()
int scaleMaxMinor () const
int scaleMaxMajor () const
void setScaleDraw (QwtScaleDraw *)
const QwtScaleDraw * scaleDraw () const

  Protected Member Functions
bool hasUserScale ()
virtual void scaleChange ()=0
QwtScaleDraw * scaleDraw ()

Constructor & Destructor Documentation

  QwtScaleIf::QwtScaleIf ()

Constructor.

Definition at line 13 of file qwt_sclif.cpp.

References QwtScaleDraw::setScale().

  QwtScaleIf::~QwtScaleIf () [virtual]

Destructor.

Definition at line 24 of file qwt_sclif.cpp.

Member Function Documentation

  void QwtScaleIf::autoScale ()

Advise the widget to control the scale range internally.

Autoscaling is on by default.

See also:
    QwtScaleIf::setScale()

Definition at line 99 of file qwt_sclif.cpp.

References scaleChange().

  bool QwtScaleIf::hasUserScale () [protected]

Check for user-defined scale.

Definition at line 62 of file qwt_sclif.h.

Referenced by QwtSlider::rangeChange(), QwtSlider::scaleChange(), and QwtThermo::setRange().

  virtual void QwtScaleIf::scaleChange () [protected, pure virtual]

Notify changed scale.

Implemented in QwtSlider, and QwtThermo.

Referenced by autoScale(), setScale(), setScaleMaxMajor(), and setScaleMaxMinor().

  QwtScaleDraw * QwtScaleIf::scaleDraw () [protected]

Returns:
    scale draw

See also:
    QwtScaleIf::setScaleDraw

Definition at line 168 of file qwt_sclif.cpp.

  const QwtScaleDraw * QwtScaleIf::scaleDraw () const

Returns:
    scale draw

See also:
    QwtScaleIf::setScaleDraw

Definition at line 177 of file qwt_sclif.cpp.

Referenced by QwtThermo::draw(), QwtSlider::draw(), QwtKnob::draw(), QwtSlider::getScrollMode(), QwtSlider::getValue(), QwtSlider::layoutSlider(), QwtThermo::layoutThermo(), QwtThermo::minimumSizeHint(), QwtSlider::minimumSizeHint(), QwtKnob::minimumSizeHint(), QwtKnob::QwtKnob(), QwtSlider::QwtSlider(), QwtSlider::rangeChange(), QwtSlider::scaleChange(), QwtThermo::setRange(), QwtKnob::setTotalAngle(), QwtThermo::sizePolicy(), and QwtSlider::xyPosition().

  int QwtScaleIf::scaleMaxMajor () const

Returns:
    max. number of major tick intervals

Definition at line 55 of file qwt_sclif.h.

Referenced by QwtSlider::rangeChange(), QwtSlider::scaleChange(), and QwtThermo::setRange().

  int QwtScaleIf::scaleMaxMinor () const

Returns:
    max. number of minor tick intervals

Definition at line 53 of file qwt_sclif.h.

Referenced by QwtSlider::rangeChange(), QwtSlider::scaleChange(), and QwtThermo::setRange().

  void QwtScaleIf::setScale (const QwtScaleDiv & s)

Assign a user-defined scale division

Parameters:
    s scale division

Definition at line 81 of file qwt_sclif.cpp.

References QwtScaleDiv::majCnt(), QwtScaleDiv::minCnt(), scaleChange(), QwtScaleDraw::scaleDiv(), and QwtScaleDraw::setScale().

  void QwtScaleIf::setScale (double vmin, double vmax, double step, int logarithmic = 0)

Specify a user-defined scale.

By default, the widget is supposed to control the range of its scale automatically, but sometimes it is desirable to have a user-defined scale which is not in sync with the widget's range, e.g. if a logarithmic scale is needed (sliders don't support that) or if the scale is required to have a fixed range (say 0...100%), independent of the widget's range.

Parameters:
    vmin
    vmax interval boundaries
    step major step size
    logarithmic If != 0, build a logarithmic scale

See also:
    QwtScaleIf::autoScale()

Definition at line 66 of file qwt_sclif.cpp.

References scaleChange(), QwtScaleDraw::scaleDiv(), and QwtScaleDraw::setScale().

  void QwtScaleIf::setScale (double vmin, double vmax, int logarithmic = 0)

Specify a user-defined scale.

By default, the widget is supposed to control the range of its scale automatically, but sometimes it is desirable to have a user-defined scale which is not in sync with the widget's range, e.g. if a logarithmic scale is needed (sliders don't support that) or if the scale is required to have a fixed range (say 0...100%), independent of the widget's range.

Parameters:
    vmin
    vmax boundary values
    logarithmic If != 0, Build a logarithmic scale

See also:
    QwtScaleIf::autoScale()

Definition at line 44 of file qwt_sclif.cpp.

  void QwtScaleIf::setScaleDraw (QwtScaleDraw * sd)

Set a scale draw sd has to be created with new and will be deleted in QwtScaleIf::~QwtScaleIf or the next call of QwtScaleIf::setScaleDraw.

Definition at line 155 of file qwt_sclif.cpp.

  void QwtScaleIf::setScaleMaxMajor (int ticks)

Set the maximum number of major tick intervals.

The scale's major ticks are calculated automatically such that the number of major intervals does not exceed ticks. The default value is 5.

Parameters:
    ticks maximal number of major ticks.

See also:
    QwtScaleDraw

Definition at line 117 of file qwt_sclif.cpp.

References QwtScaleDiv::hBound(), QwtScaleDiv::lBound(), QwtScaleDiv::logScale(), scaleChange(), QwtScaleDraw::scaleDiv(), and QwtScaleDraw::setScale().

  void QwtScaleIf::setScaleMaxMinor (int ticks)

Set the maximum number of minor tick intervals.

The scale's minor ticks are calculated automatically such that the number of minor intervals does not exceed ticks. The default value is 3.

Parameters:
    ticks

See also:
    QwtScaleDraw

Definition at line 138 of file qwt_sclif.cpp.

References QwtScaleDiv::hBound(), QwtScaleDiv::lBound(), QwtScaleDiv::logScale(), scaleChange(), QwtScaleDraw::scaleDiv(), and QwtScaleDraw::setScale().

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.